from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.frame import XModel

@runtime_checkable
class XModel2(XModel, Protocol):
    def getControllers(self) -> XEnumeration: ...
    def getAvailableViewControllerNames(self) -> list[str]: ...
